For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
WebsiteStatusSupportDashboard
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
  • Assistants
    • GETList Assistants
    • POSTCreate Assistant
    • GETGet Assistant
    • DELDelete Assistant
    • PATCHUpdate Assistant
  • Squads
    • GETList Squads
    • POSTCreate Squad
    • GETGet Squad
    • DELDelete Squad
    • PATCHUpdate Squad
  • Calls
    • GETList Calls
    • POSTCreate Call
    • GETGet Call
    • DELDelete Call
    • PATCHUpdate Call
  • Chats
    • GETList Chats
    • POSTCreate Chat
    • GETGet Chat
    • DELDelete Chat
    • POSTCreate Chat (OpenAI Compatible)
  • Campaigns
    • GETList Campaigns
    • POSTCreate Campaign
    • GETGet Campaign
    • DELDelete Campaign
    • PATCHUpdate Campaign
  • Sessions
    • GETList Sessions
    • POSTCreate Session
    • GETGet Session
    • DELDelete Session
    • PATCHUpdate Session
  • Phone Numbers
    • GETList Phone Numbers
    • POSTCreate Phone Number
    • GETList Phone Numbers
    • GETGet Phone Number
    • DELDelete Phone Number
    • PATCHUpdate Phone Number
  • Tools
    • GETList Tools
    • POSTCreate Tool
    • GETGet Tool
    • DELDelete Tool
    • PATCHUpdate Tool
  • Files
    • GETList Files
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • PATCHUpdate File
  • Structured Outputs
    • GETList Structured Outputs
    • POSTCreate Structured Output
    • GETGet Structured Output
    • DELDelete Structured Output
    • PATCHUpdate Structured Output
    • POSTRun Structured Output
  • Insight
    • GETGet Insights
    • POSTCreate Insight
    • GETGet Insight
    • DELDelete Insight
    • PATCHUpdate Insight
    • POSTRun Insight
    • POSTPreview Insight
  • Eval
    • GETList Evals
    • POSTCreate Eval
    • GETGet Eval
    • DELDelete Eval
    • PATCHUpdate Eval
    • GETGet Eval Run
    • DELDelete Eval Run
    • GETList Eval Runs
    • POSTCreate Eval Run
  • Observability Scorecard
    • GETGet Scorecard
    • DELDelete Scorecard
    • PATCHUpdate Scorecard
    • GETList Scorecards
    • POSTCreate Scorecard
  • Provider Resources
    • GETList Provider Resources
    • POSTCreate Provider Resource
    • GETGet Provider Resource
    • DELDelete Provider Resource
    • PATCHUpdate Provider Resource
  • Analytics
    • POSTCreate Analytics Queries
  • Webhooks
    • POSTServer Message
    • POSTClient Message
    • Swagger
    • OpenAPI
LogoLogo
WebsiteStatusSupportDashboard
Squads

Create Squad

POST
https://api.vapi.ai/squad
POST
/squad
$curl -X POST https://api.vapi.ai/squad \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "members": [
> {}
> ]
>}'
201Created
1{
2 "members": [
3 {
4 "assistantDestinations": [
5 {
6 "message": "string",
7 "type": "assistant",
8 "transferMode": "rolling-history",
9 "assistantName": "string",
10 "description": "string"
11 }
12 ],
13 "assistantId": "string",
14 "assistant": {
15 "transcriber": {
16 "provider": "assembly-ai",
17 "language": "multi",
18 "confidenceThreshold": 0.4,
19 "formatTurns": true,
20 "endOfTurnConfidenceThreshold": 0.7,
21 "minEndOfTurnSilenceWhenConfident": 160,
22 "wordFinalizationMaxWaitTime": 160,
23 "maxTurnSilence": 400,
24 "vadAssistedEndpointingEnabled": true,
25 "speechModel": "universal-streaming-english",
26 "realtimeUrl": "string",
27 "wordBoost": [
28 "string"
29 ],
30 "keytermsPrompt": [
31 "string"
32 ],
33 "endUtteranceSilenceThreshold": 1.1,
34 "disablePartialTranscripts": true,
35 "fallbackPlan": {
36 "transcribers": [
37 {
38 "provider": "assembly-ai",
39 "language": "multi",
40 "confidenceThreshold": 0.4,
41 "formatTurns": true,
42 "endOfTurnConfidenceThreshold": 0.7,
43 "minEndOfTurnSilenceWhenConfident": 160,
44 "wordFinalizationMaxWaitTime": 160,
45 "maxTurnSilence": 400,
46 "vadAssistedEndpointingEnabled": true,
47 "speechModel": "universal-streaming-english",
48 "realtimeUrl": "string",
49 "wordBoost": [
50 "string"
51 ],
52 "keytermsPrompt": [
53 "string"
54 ],
55 "endUtteranceSilenceThreshold": 1.1,
56 "disablePartialTranscripts": true
57 }
58 ]
59 }
60 },
61 "model": {
62 "messages": [
63 {
64 "content": "string",
65 "role": "assistant"
66 }
67 ],
68 "tools": [
69 {
70 "messages": [
71 {
72 "contents": [
73 {
74 "type": "text",
75 "text": "string",
76 "language": "aa"
77 }
78 ],
79 "type": "request-start",
80 "blocking": false,
81 "content": "string",
82 "conditions": [
83 {
84 "operator": "eq",
85 "param": "string",
86 "value": "string"
87 }
88 ]
89 }
90 ],
91 "type": "apiRequest",
92 "method": "POST",
93 "timeoutSeconds": 20,
94 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
95 "encryptedPaths": [
96 "string"
97 ],
98 "parameters": [
99 {
100 "key": "string",
101 "value": {}
102 }
103 ],
104 "name": "string",
105 "description": "string",
106 "url": "string",
107 "body": {
108 "type": "string",
109 "items": {},
110 "properties": {},
111 "description": "string",
112 "pattern": "string",
113 "format": "date-time",
114 "required": [
115 "string"
116 ],
117 "enum": [
118 "string"
119 ],
120 "title": "string"
121 },
122 "headers": {
123 "type": "string",
124 "items": {},
125 "properties": {},
126 "description": "string",
127 "pattern": "string",
128 "format": "date-time",
129 "required": [
130 "string"
131 ],
132 "enum": [
133 "string"
134 ],
135 "title": "string"
136 },
137 "backoffPlan": {
138 "type": "fixed",
139 "maxRetries": 0,
140 "baseDelaySeconds": 1,
141 "excludedStatusCodes": [
142 400,
143 401,
144 403,
145 404
146 ]
147 },
148 "variableExtractionPlan": {
149 "schema": {
150 "type": "string",
151 "items": {},
152 "properties": {},
153 "description": "string",
154 "pattern": "string",
155 "format": "date-time",
156 "required": [
157 "string"
158 ],
159 "enum": [
160 "string"
161 ],
162 "title": "string"
163 },
164 "aliases": [
165 {
166 "key": "string",
167 "value": "string"
168 }
169 ]
170 },
171 "rejectionPlan": {
172 "conditions": [
173 {
174 "type": "regex",
175 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
176 }
177 ]
178 }
179 }
180 ],
181 "toolIds": [
182 "string"
183 ],
184 "knowledgeBase": {
185 "provider": "custom-knowledge-base",
186 "server": {
187 "timeoutSeconds": 20,
188 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
189 "staticIpAddressesEnabled": false,
190 "encryptedPaths": [
191 "string"
192 ],
193 "url": "string",
194 "headers": {},
195 "backoffPlan": {
196 "type": "fixed",
197 "maxRetries": 0,
198 "baseDelaySeconds": 1,
199 "excludedStatusCodes": [
200 400,
201 401,
202 403,
203 404
204 ]
205 }
206 }
207 },
208 "model": "claude-3-opus-20240229",
209 "provider": "anthropic",
210 "thinking": {
211 "type": "enabled",
212 "budgetTokens": 50500
213 },
214 "temperature": 1.1,
215 "maxTokens": 5030,
216 "emotionRecognitionEnabled": true,
217 "numFastTurns": 1.1
218 },
219 "voice": {
220 "cachingEnabled": true,
221 "provider": "azure",
222 "voiceId": "andrew",
223 "chunkPlan": {
224 "enabled": true,
225 "minCharacters": 30,
226 "punctuationBoundaries": "。",
227 "formatPlan": {
228 "enabled": true,
229 "numberToDigitsCutoff": 2025,
230 "replacements": [
231 {
232 "type": "exact",
233 "replaceAllEnabled": false,
234 "key": "string",
235 "value": "string"
236 }
237 ],
238 "formattersEnabled": "markdown"
239 }
240 },
241 "speed": 1.1,
242 "fallbackPlan": {
243 "voices": [
244 {
245 "cachingEnabled": true,
246 "provider": "azure",
247 "voiceId": "andrew",
248 "speed": 1.1,
249 "chunkPlan": {
250 "enabled": true,
251 "minCharacters": 30,
252 "punctuationBoundaries": "。",
253 "formatPlan": {}
254 },
255 "oneOf": null
256 }
257 ]
258 }
259 },
260 "firstMessage": "Hello! How can I help you today?",
261 "firstMessageInterruptionsEnabled": false,
262 "firstMessageMode": "assistant-speaks-first",
263 "voicemailDetection": "off",
264 "clientMessages": "conversation-update",
265 "serverMessages": "assistant.started",
266 "maxDurationSeconds": 600,
267 "backgroundSound": "off",
268 "modelOutputInMessagesEnabled": false,
269 "transportConfigurations": [
270 {
271 "provider": "twilio",
272 "timeout": 60,
273 "record": false,
274 "recordingChannels": "mono"
275 }
276 ],
277 "observabilityPlan": {
278 "provider": "langfuse",
279 "tags": [
280 "string"
281 ],
282 "promptName": "string",
283 "promptVersion": 1.1,
284 "traceName": "string",
285 "metadata": {}
286 },
287 "credentials": [
288 {
289 "provider": "anthropic",
290 "apiKey": "string",
291 "name": "string"
292 }
293 ],
294 "hooks": [
295 {
296 "on": "call.ending",
297 "do": [
298 {
299 "type": "tool",
300 "tool": {
301 "messages": [
302 {
303 "contents": [
304 {}
305 ],
306 "type": "request-start",
307 "blocking": false,
308 "content": "string",
309 "conditions": [
310 {
311 "operator": {},
312 "param": {},
313 "value": {}
314 }
315 ]
316 }
317 ],
318 "type": "apiRequest",
319 "method": "POST",
320 "timeoutSeconds": 20,
321 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
322 "encryptedPaths": [
323 "string"
324 ],
325 "parameters": [
326 {
327 "key": "string",
328 "value": {}
329 }
330 ],
331 "name": "string",
332 "description": "string",
333 "url": "string",
334 "body": {
335 "type": "string",
336 "items": {},
337 "properties": {},
338 "description": "string",
339 "pattern": "string",
340 "format": "date-time",
341 "required": [
342 "string"
343 ],
344 "enum": [
345 "string"
346 ],
347 "title": "string"
348 },
349 "headers": {
350 "type": "string",
351 "items": {},
352 "properties": {},
353 "description": "string",
354 "pattern": "string",
355 "format": "date-time",
356 "required": [
357 "string"
358 ],
359 "enum": [
360 "string"
361 ],
362 "title": "string"
363 },
364 "backoffPlan": {
365 "type": "fixed",
366 "maxRetries": 0,
367 "baseDelaySeconds": 1,
368 "excludedStatusCodes": [
369 400,
370 401,
371 403,
372 404
373 ]
374 },
375 "variableExtractionPlan": {
376 "schema": {},
377 "aliases": [
378 {
379 "key": {},
380 "value": {}
381 }
382 ]
383 },
384 "rejectionPlan": {
385 "conditions": [
386 "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
387 ]
388 }
389 },
390 "toolId": "string"
391 }
392 ],
393 "filters": [
394 {
395 "type": "oneOf",
396 "key": "string",
397 "oneOf": [
398 "string"
399 ]
400 }
401 ]
402 }
403 ],
404 "name": "string",
405 "voicemailMessage": "string",
406 "endCallMessage": "string",
407 "endCallPhrases": [
408 "string"
409 ],
410 "compliancePlan": {
411 "hipaaEnabled": true,
412 "pciEnabled": {
413 "pciEnabled": false
414 },
415 "securityFilterPlan": {
416 "enabled": false,
417 "filters": [
418 {}
419 ],
420 "mode": "sanitize",
421 "replacementText": "[FILTERED]"
422 },
423 "recordingConsentPlan": {
424 "type": "stay-on-line",
425 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
426 "voice": {
427 "cachingEnabled": true,
428 "provider": "azure",
429 "voiceId": "andrew",
430 "chunkPlan": {
431 "enabled": true,
432 "minCharacters": 30,
433 "punctuationBoundaries": "。",
434 "formatPlan": {
435 "enabled": true,
436 "numberToDigitsCutoff": 2025,
437 "replacements": {},
438 "formattersEnabled": {}
439 }
440 },
441 "speed": 1.1,
442 "fallbackPlan": {
443 "voices": [
444 {
445 "cachingEnabled": true,
446 "provider": {},
447 "voiceId": {},
448 "speed": {},
449 "chunkPlan": {},
450 "oneOf": {}
451 }
452 ]
453 }
454 },
455 "waitSeconds": 3
456 }
457 },
458 "metadata": {},
459 "backgroundSpeechDenoisingPlan": {
460 "smartDenoisingPlan": {
461 "enabled": true
462 },
463 "fourierDenoisingPlan": {
464 "enabled": false,
465 "mediaDetectionEnabled": true,
466 "staticThreshold": -35,
467 "baselineOffsetDb": -15,
468 "windowSizeMs": 3000,
469 "baselinePercentile": 85
470 }
471 },
472 "analysisPlan": {
473 "summaryPlan": {
474 "messages": [
475 {}
476 ],
477 "enabled": true,
478 "timeoutSeconds": 1.1
479 },
480 "structuredDataPlan": {
481 "messages": [
482 {}
483 ],
484 "enabled": true,
485 "schema": {
486 "type": "string",
487 "items": {},
488 "properties": {},
489 "description": "string",
490 "pattern": "string",
491 "format": "date-time",
492 "required": [
493 "string"
494 ],
495 "enum": [
496 "string"
497 ],
498 "title": "string"
499 },
500 "timeoutSeconds": 1.1
501 },
502 "successEvaluationPlan": {
503 "rubric": "NumericScale",
504 "messages": [
505 {}
506 ],
507 "enabled": true,
508 "timeoutSeconds": 1.1
509 },
510 "minMessagesThreshold": 1.1,
511 "structuredDataMultiPlan": [
512 {
513 "key": "string",
514 "plan": {
515 "messages": [
516 {}
517 ],
518 "enabled": true,
519 "schema": {
520 "type": "string",
521 "items": {},
522 "properties": {},
523 "description": "string",
524 "pattern": "string",
525 "format": "date-time",
526 "required": [
527 "string"
528 ],
529 "enum": [
530 "string"
531 ],
532 "title": "string"
533 },
534 "timeoutSeconds": 1.1
535 }
536 }
537 ],
538 "outcomeIds": [
539 "string"
540 ]
541 },
542 "artifactPlan": {
543 "recordingEnabled": true,
544 "recordingFormat": "wav;l16",
545 "recordingUseCustomStorageEnabled": true,
546 "videoRecordingEnabled": false,
547 "fullMessageHistoryEnabled": false,
548 "pcapEnabled": true,
549 "pcapS3PathPrefix": "/pcaps",
550 "pcapUseCustomStorageEnabled": true,
551 "loggingEnabled": true,
552 "loggingUseCustomStorageEnabled": true,
553 "transcriptPlan": {
554 "enabled": true,
555 "assistantName": "string",
556 "userName": "string"
557 },
558 "recordingPath": "string",
559 "structuredOutputIds": [
560 "string"
561 ],
562 "structuredOutputs": [
563 {
564 "name": "string",
565 "schema": {
566 "type": "string",
567 "items": {},
568 "properties": {},
569 "description": "string",
570 "pattern": "string",
571 "format": "date-time",
572 "required": [
573 "string"
574 ],
575 "enum": [
576 "string"
577 ],
578 "title": "string"
579 },
580 "type": "ai",
581 "regex": "string",
582 "model": {
583 "provider": "openai",
584 "model": "gpt-5.4",
585 "temperature": 1.1,
586 "maxTokens": 5030
587 },
588 "compliancePlan": {
589 "forceStoreOnHipaaEnabled": false
590 },
591 "description": "string",
592 "assistantIds": [
593 "string"
594 ],
595 "workflowIds": [
596 "string"
597 ]
598 }
599 ],
600 "scorecardIds": [
601 "string"
602 ],
603 "scorecards": [
604 {
605 "metrics": [
606 {
607 "structuredOutputId": "string",
608 "conditions": [
609 {}
610 ]
611 }
612 ],
613 "name": "string",
614 "description": "string",
615 "assistantIds": [
616 "string"
617 ]
618 }
619 ],
620 "loggingPath": "string"
621 },
622 "startSpeakingPlan": {
623 "waitSeconds": 0.4,
624 "smartEndpointingPlan": {
625 "provider": "vapi"
626 },
627 "customEndpointingRules": [
628 {
629 "type": "assistant",
630 "regex": "string",
631 "regexOptions": [
632 {
633 "type": "ignore-case",
634 "enabled": true
635 }
636 ],
637 "timeoutSeconds": 1.1
638 }
639 ],
640 "transcriptionEndpointingPlan": {
641 "onPunctuationSeconds": 0.1,
642 "onNoPunctuationSeconds": 1.5,
643 "onNumberSeconds": 0.5
644 },
645 "smartEndpointingEnabled": false
646 },
647 "stopSpeakingPlan": {
648 "numWords": 0,
649 "voiceSeconds": 0.2,
650 "backoffSeconds": 1,
651 "acknowledgementPhrases": [
652 "i understand",
653 "i see",
654 "i got it",
655 "i hear you",
656 "im listening",
657 "im with you",
658 "right",
659 "okay",
660 "ok",
661 "sure",
662 "alright",
663 "got it",
664 "understood",
665 "yeah",
666 "yes",
667 "uh-huh",
668 "mm-hmm",
669 "gotcha",
670 "mhmm",
671 "ah",
672 "yeah okay",
673 "yeah sure"
674 ],
675 "interruptionPhrases": [
676 "stop",
677 "shut",
678 "up",
679 "enough",
680 "quiet",
681 "silence",
682 "but",
683 "dont",
684 "not",
685 "no",
686 "hold",
687 "wait",
688 "cut",
689 "pause",
690 "nope",
691 "nah",
692 "nevermind",
693 "never",
694 "bad",
695 "actually"
696 ]
697 },
698 "monitorPlan": {
699 "listenEnabled": false,
700 "listenAuthenticationEnabled": false,
701 "controlEnabled": false,
702 "controlAuthenticationEnabled": false,
703 "monitorIds": [
704 "123e4567-e89b-12d3-a456-426614174000"
705 ]
706 },
707 "credentialIds": [
708 "string"
709 ],
710 "server": {
711 "timeoutSeconds": 20,
712 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
713 "staticIpAddressesEnabled": false,
714 "encryptedPaths": [
715 "string"
716 ],
717 "url": "string",
718 "headers": {},
719 "backoffPlan": {
720 "type": "fixed",
721 "maxRetries": 0,
722 "baseDelaySeconds": 1,
723 "excludedStatusCodes": [
724 400,
725 401,
726 403,
727 404
728 ]
729 }
730 },
731 "keypadInputPlan": {
732 "enabled": true,
733 "timeoutSeconds": 1.1,
734 "delimiters": "#"
735 }
736 },
737 "assistantOverrides": {
738 "transcriber": {
739 "provider": "assembly-ai",
740 "language": "multi",
741 "confidenceThreshold": 0.4,
742 "formatTurns": true,
743 "endOfTurnConfidenceThreshold": 0.7,
744 "minEndOfTurnSilenceWhenConfident": 160,
745 "wordFinalizationMaxWaitTime": 160,
746 "maxTurnSilence": 400,
747 "vadAssistedEndpointingEnabled": true,
748 "speechModel": "universal-streaming-english",
749 "realtimeUrl": "string",
750 "wordBoost": [
751 "string"
752 ],
753 "keytermsPrompt": [
754 "string"
755 ],
756 "endUtteranceSilenceThreshold": 1.1,
757 "disablePartialTranscripts": true,
758 "fallbackPlan": {
759 "transcribers": [
760 {
761 "provider": "assembly-ai",
762 "language": "multi",
763 "confidenceThreshold": 0.4,
764 "formatTurns": true,
765 "endOfTurnConfidenceThreshold": 0.7,
766 "minEndOfTurnSilenceWhenConfident": 160,
767 "wordFinalizationMaxWaitTime": 160,
768 "maxTurnSilence": 400,
769 "vadAssistedEndpointingEnabled": true,
770 "speechModel": "universal-streaming-english",
771 "realtimeUrl": "string",
772 "wordBoost": [
773 "string"
774 ],
775 "keytermsPrompt": [
776 "string"
777 ],
778 "endUtteranceSilenceThreshold": 1.1,
779 "disablePartialTranscripts": true
780 }
781 ]
782 }
783 },
784 "model": {
785 "messages": [
786 {
787 "content": "string",
788 "role": "assistant"
789 }
790 ],
791 "tools": [
792 {
793 "messages": [
794 {
795 "contents": [
796 {
797 "type": "text",
798 "text": "string",
799 "language": "aa"
800 }
801 ],
802 "type": "request-start",
803 "blocking": false,
804 "content": "string",
805 "conditions": [
806 {
807 "operator": "eq",
808 "param": "string",
809 "value": "string"
810 }
811 ]
812 }
813 ],
814 "type": "apiRequest",
815 "method": "POST",
816 "timeoutSeconds": 20,
817 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
818 "encryptedPaths": [
819 "string"
820 ],
821 "parameters": [
822 {
823 "key": "string",
824 "value": {}
825 }
826 ],
827 "name": "string",
828 "description": "string",
829 "url": "string",
830 "body": {
831 "type": "string",
832 "items": {},
833 "properties": {},
834 "description": "string",
835 "pattern": "string",
836 "format": "date-time",
837 "required": [
838 "string"
839 ],
840 "enum": [
841 "string"
842 ],
843 "title": "string"
844 },
845 "headers": {
846 "type": "string",
847 "items": {},
848 "properties": {},
849 "description": "string",
850 "pattern": "string",
851 "format": "date-time",
852 "required": [
853 "string"
854 ],
855 "enum": [
856 "string"
857 ],
858 "title": "string"
859 },
860 "backoffPlan": {
861 "type": "fixed",
862 "maxRetries": 0,
863 "baseDelaySeconds": 1,
864 "excludedStatusCodes": [
865 400,
866 401,
867 403,
868 404
869 ]
870 },
871 "variableExtractionPlan": {
872 "schema": {
873 "type": "string",
874 "items": {},
875 "properties": {},
876 "description": "string",
877 "pattern": "string",
878 "format": "date-time",
879 "required": [
880 "string"
881 ],
882 "enum": [
883 "string"
884 ],
885 "title": "string"
886 },
887 "aliases": [
888 {
889 "key": "string",
890 "value": "string"
891 }
892 ]
893 },
894 "rejectionPlan": {
895 "conditions": [
896 {
897 "type": "regex",
898 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
899 }
900 ]
901 }
902 }
903 ],
904 "toolIds": [
905 "string"
906 ],
907 "knowledgeBase": {
908 "provider": "custom-knowledge-base",
909 "server": {
910 "timeoutSeconds": 20,
911 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
912 "staticIpAddressesEnabled": false,
913 "encryptedPaths": [
914 "string"
915 ],
916 "url": "string",
917 "headers": {},
918 "backoffPlan": {
919 "type": "fixed",
920 "maxRetries": 0,
921 "baseDelaySeconds": 1,
922 "excludedStatusCodes": [
923 400,
924 401,
925 403,
926 404
927 ]
928 }
929 }
930 },
931 "model": "claude-3-opus-20240229",
932 "provider": "anthropic",
933 "thinking": {
934 "type": "enabled",
935 "budgetTokens": 50500
936 },
937 "temperature": 1.1,
938 "maxTokens": 5030,
939 "emotionRecognitionEnabled": true,
940 "numFastTurns": 1.1
941 },
942 "voice": {
943 "cachingEnabled": true,
944 "provider": "azure",
945 "voiceId": "andrew",
946 "chunkPlan": {
947 "enabled": true,
948 "minCharacters": 30,
949 "punctuationBoundaries": "。",
950 "formatPlan": {
951 "enabled": true,
952 "numberToDigitsCutoff": 2025,
953 "replacements": [
954 {
955 "type": "exact",
956 "replaceAllEnabled": false,
957 "key": "string",
958 "value": "string"
959 }
960 ],
961 "formattersEnabled": "markdown"
962 }
963 },
964 "speed": 1.1,
965 "fallbackPlan": {
966 "voices": [
967 {
968 "cachingEnabled": true,
969 "provider": "azure",
970 "voiceId": "andrew",
971 "speed": 1.1,
972 "chunkPlan": {
973 "enabled": true,
974 "minCharacters": 30,
975 "punctuationBoundaries": "。",
976 "formatPlan": {}
977 },
978 "oneOf": null
979 }
980 ]
981 }
982 },
983 "firstMessage": "Hello! How can I help you today?",
984 "firstMessageInterruptionsEnabled": false,
985 "firstMessageMode": "assistant-speaks-first",
986 "voicemailDetection": "off",
987 "clientMessages": "conversation-update",
988 "serverMessages": "assistant.started",
989 "maxDurationSeconds": 600,
990 "backgroundSound": "off",
991 "modelOutputInMessagesEnabled": false,
992 "transportConfigurations": [
993 {
994 "provider": "twilio",
995 "timeout": 60,
996 "record": false,
997 "recordingChannels": "mono"
998 }
999 ],
1000 "observabilityPlan": {
1001 "provider": "langfuse",
1002 "tags": [
1003 "string"
1004 ],
1005 "promptName": "string",
1006 "promptVersion": 1.1,
1007 "traceName": "string",
1008 "metadata": {}
1009 },
1010 "credentials": [
1011 {
1012 "provider": "anthropic",
1013 "apiKey": "string",
1014 "name": "string"
1015 }
1016 ],
1017 "hooks": [
1018 {
1019 "on": "call.ending",
1020 "do": [
1021 {
1022 "type": "tool",
1023 "tool": {
1024 "messages": [
1025 {
1026 "contents": [
1027 {}
1028 ],
1029 "type": "request-start",
1030 "blocking": false,
1031 "content": "string",
1032 "conditions": [
1033 {
1034 "operator": {},
1035 "param": {},
1036 "value": {}
1037 }
1038 ]
1039 }
1040 ],
1041 "type": "apiRequest",
1042 "method": "POST",
1043 "timeoutSeconds": 20,
1044 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1045 "encryptedPaths": [
1046 "string"
1047 ],
1048 "parameters": [
1049 {
1050 "key": "string",
1051 "value": {}
1052 }
1053 ],
1054 "name": "string",
1055 "description": "string",
1056 "url": "string",
1057 "body": {
1058 "type": "string",
1059 "items": {},
1060 "properties": {},
1061 "description": "string",
1062 "pattern": "string",
1063 "format": "date-time",
1064 "required": [
1065 "string"
1066 ],
1067 "enum": [
1068 "string"
1069 ],
1070 "title": "string"
1071 },
1072 "headers": {
1073 "type": "string",
1074 "items": {},
1075 "properties": {},
1076 "description": "string",
1077 "pattern": "string",
1078 "format": "date-time",
1079 "required": [
1080 "string"
1081 ],
1082 "enum": [
1083 "string"
1084 ],
1085 "title": "string"
1086 },
1087 "backoffPlan": {
1088 "type": "fixed",
1089 "maxRetries": 0,
1090 "baseDelaySeconds": 1,
1091 "excludedStatusCodes": [
1092 400,
1093 401,
1094 403,
1095 404
1096 ]
1097 },
1098 "variableExtractionPlan": {
1099 "schema": {},
1100 "aliases": [
1101 {
1102 "key": {},
1103 "value": {}
1104 }
1105 ]
1106 },
1107 "rejectionPlan": {
1108 "conditions": [
1109 "[{ type: \"regex\", regex: \"(?i)\\\\b(cancel|stop)\\\\b\", target: { role: \"user\" } }]"
1110 ]
1111 }
1112 },
1113 "toolId": "string"
1114 }
1115 ],
1116 "filters": [
1117 {
1118 "type": "oneOf",
1119 "key": "string",
1120 "oneOf": [
1121 "string"
1122 ]
1123 }
1124 ]
1125 }
1126 ],
1127 "tools:append": [
1128 {
1129 "messages": [
1130 {
1131 "contents": [
1132 {
1133 "type": "text",
1134 "text": "string",
1135 "language": "aa"
1136 }
1137 ],
1138 "type": "request-start",
1139 "blocking": false,
1140 "content": "string",
1141 "conditions": [
1142 {
1143 "operator": "eq",
1144 "param": "string",
1145 "value": "string"
1146 }
1147 ]
1148 }
1149 ],
1150 "type": "apiRequest",
1151 "method": "POST",
1152 "timeoutSeconds": 20,
1153 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1154 "encryptedPaths": [
1155 "string"
1156 ],
1157 "parameters": [
1158 {
1159 "key": "string",
1160 "value": {}
1161 }
1162 ],
1163 "name": "string",
1164 "description": "string",
1165 "url": "string",
1166 "body": {
1167 "type": "string",
1168 "items": {},
1169 "properties": {},
1170 "description": "string",
1171 "pattern": "string",
1172 "format": "date-time",
1173 "required": [
1174 "string"
1175 ],
1176 "enum": [
1177 "string"
1178 ],
1179 "title": "string"
1180 },
1181 "headers": {
1182 "type": "string",
1183 "items": {},
1184 "properties": {},
1185 "description": "string",
1186 "pattern": "string",
1187 "format": "date-time",
1188 "required": [
1189 "string"
1190 ],
1191 "enum": [
1192 "string"
1193 ],
1194 "title": "string"
1195 },
1196 "backoffPlan": {
1197 "type": "fixed",
1198 "maxRetries": 0,
1199 "baseDelaySeconds": 1,
1200 "excludedStatusCodes": [
1201 400,
1202 401,
1203 403,
1204 404
1205 ]
1206 },
1207 "variableExtractionPlan": {
1208 "schema": {
1209 "type": "string",
1210 "items": {},
1211 "properties": {},
1212 "description": "string",
1213 "pattern": "string",
1214 "format": "date-time",
1215 "required": [
1216 "string"
1217 ],
1218 "enum": [
1219 "string"
1220 ],
1221 "title": "string"
1222 },
1223 "aliases": [
1224 {
1225 "key": "string",
1226 "value": "string"
1227 }
1228 ]
1229 },
1230 "rejectionPlan": {
1231 "conditions": [
1232 {
1233 "type": "regex",
1234 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
1235 }
1236 ]
1237 }
1238 }
1239 ],
1240 "variableValues": {},
1241 "name": "string",
1242 "voicemailMessage": "string",
1243 "endCallMessage": "string",
1244 "endCallPhrases": [
1245 "string"
1246 ],
1247 "compliancePlan": {
1248 "hipaaEnabled": true,
1249 "pciEnabled": {
1250 "pciEnabled": false
1251 },
1252 "securityFilterPlan": {
1253 "enabled": false,
1254 "filters": [
1255 {}
1256 ],
1257 "mode": "sanitize",
1258 "replacementText": "[FILTERED]"
1259 },
1260 "recordingConsentPlan": {
1261 "type": "stay-on-line",
1262 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
1263 "voice": {
1264 "cachingEnabled": true,
1265 "provider": "azure",
1266 "voiceId": "andrew",
1267 "chunkPlan": {
1268 "enabled": true,
1269 "minCharacters": 30,
1270 "punctuationBoundaries": "。",
1271 "formatPlan": {
1272 "enabled": true,
1273 "numberToDigitsCutoff": 2025,
1274 "replacements": {},
1275 "formattersEnabled": {}
1276 }
1277 },
1278 "speed": 1.1,
1279 "fallbackPlan": {
1280 "voices": [
1281 {
1282 "cachingEnabled": true,
1283 "provider": {},
1284 "voiceId": {},
1285 "speed": {},
1286 "chunkPlan": {},
1287 "oneOf": {}
1288 }
1289 ]
1290 }
1291 },
1292 "waitSeconds": 3
1293 }
1294 },
1295 "metadata": {},
1296 "backgroundSpeechDenoisingPlan": {
1297 "smartDenoisingPlan": {
1298 "enabled": true
1299 },
1300 "fourierDenoisingPlan": {
1301 "enabled": false,
1302 "mediaDetectionEnabled": true,
1303 "staticThreshold": -35,
1304 "baselineOffsetDb": -15,
1305 "windowSizeMs": 3000,
1306 "baselinePercentile": 85
1307 }
1308 },
1309 "analysisPlan": {
1310 "summaryPlan": {
1311 "messages": [
1312 {}
1313 ],
1314 "enabled": true,
1315 "timeoutSeconds": 1.1
1316 },
1317 "structuredDataPlan": {
1318 "messages": [
1319 {}
1320 ],
1321 "enabled": true,
1322 "schema": {
1323 "type": "string",
1324 "items": {},
1325 "properties": {},
1326 "description": "string",
1327 "pattern": "string",
1328 "format": "date-time",
1329 "required": [
1330 "string"
1331 ],
1332 "enum": [
1333 "string"
1334 ],
1335 "title": "string"
1336 },
1337 "timeoutSeconds": 1.1
1338 },
1339 "successEvaluationPlan": {
1340 "rubric": "NumericScale",
1341 "messages": [
1342 {}
1343 ],
1344 "enabled": true,
1345 "timeoutSeconds": 1.1
1346 },
1347 "minMessagesThreshold": 1.1,
1348 "structuredDataMultiPlan": [
1349 {
1350 "key": "string",
1351 "plan": {
1352 "messages": [
1353 {}
1354 ],
1355 "enabled": true,
1356 "schema": {
1357 "type": "string",
1358 "items": {},
1359 "properties": {},
1360 "description": "string",
1361 "pattern": "string",
1362 "format": "date-time",
1363 "required": [
1364 "string"
1365 ],
1366 "enum": [
1367 "string"
1368 ],
1369 "title": "string"
1370 },
1371 "timeoutSeconds": 1.1
1372 }
1373 }
1374 ],
1375 "outcomeIds": [
1376 "string"
1377 ]
1378 },
1379 "artifactPlan": {
1380 "recordingEnabled": true,
1381 "recordingFormat": "wav;l16",
1382 "recordingUseCustomStorageEnabled": true,
1383 "videoRecordingEnabled": false,
1384 "fullMessageHistoryEnabled": false,
1385 "pcapEnabled": true,
1386 "pcapS3PathPrefix": "/pcaps",
1387 "pcapUseCustomStorageEnabled": true,
1388 "loggingEnabled": true,
1389 "loggingUseCustomStorageEnabled": true,
1390 "transcriptPlan": {
1391 "enabled": true,
1392 "assistantName": "string",
1393 "userName": "string"
1394 },
1395 "recordingPath": "string",
1396 "structuredOutputIds": [
1397 "string"
1398 ],
1399 "structuredOutputs": [
1400 {
1401 "name": "string",
1402 "schema": {
1403 "type": "string",
1404 "items": {},
1405 "properties": {},
1406 "description": "string",
1407 "pattern": "string",
1408 "format": "date-time",
1409 "required": [
1410 "string"
1411 ],
1412 "enum": [
1413 "string"
1414 ],
1415 "title": "string"
1416 },
1417 "type": "ai",
1418 "regex": "string",
1419 "model": {
1420 "provider": "openai",
1421 "model": "gpt-5.4",
1422 "temperature": 1.1,
1423 "maxTokens": 5030
1424 },
1425 "compliancePlan": {
1426 "forceStoreOnHipaaEnabled": false
1427 },
1428 "description": "string",
1429 "assistantIds": [
1430 "string"
1431 ],
1432 "workflowIds": [
1433 "string"
1434 ]
1435 }
1436 ],
1437 "scorecardIds": [
1438 "string"
1439 ],
1440 "scorecards": [
1441 {
1442 "metrics": [
1443 {
1444 "structuredOutputId": "string",
1445 "conditions": [
1446 {}
1447 ]
1448 }
1449 ],
1450 "name": "string",
1451 "description": "string",
1452 "assistantIds": [
1453 "string"
1454 ]
1455 }
1456 ],
1457 "loggingPath": "string"
1458 },
1459 "startSpeakingPlan": {
1460 "waitSeconds": 0.4,
1461 "smartEndpointingPlan": {
1462 "provider": "vapi"
1463 },
1464 "customEndpointingRules": [
1465 {
1466 "type": "assistant",
1467 "regex": "string",
1468 "regexOptions": [
1469 {
1470 "type": "ignore-case",
1471 "enabled": true
1472 }
1473 ],
1474 "timeoutSeconds": 1.1
1475 }
1476 ],
1477 "transcriptionEndpointingPlan": {
1478 "onPunctuationSeconds": 0.1,
1479 "onNoPunctuationSeconds": 1.5,
1480 "onNumberSeconds": 0.5
1481 },
1482 "smartEndpointingEnabled": false
1483 },
1484 "stopSpeakingPlan": {
1485 "numWords": 0,
1486 "voiceSeconds": 0.2,
1487 "backoffSeconds": 1,
1488 "acknowledgementPhrases": [
1489 "i understand",
1490 "i see",
1491 "i got it",
1492 "i hear you",
1493 "im listening",
1494 "im with you",
1495 "right",
1496 "okay",
1497 "ok",
1498 "sure",
1499 "alright",
1500 "got it",
1501 "understood",
1502 "yeah",
1503 "yes",
1504 "uh-huh",
1505 "mm-hmm",
1506 "gotcha",
1507 "mhmm",
1508 "ah",
1509 "yeah okay",
1510 "yeah sure"
1511 ],
1512 "interruptionPhrases": [
1513 "stop",
1514 "shut",
1515 "up",
1516 "enough",
1517 "quiet",
1518 "silence",
1519 "but",
1520 "dont",
1521 "not",
1522 "no",
1523 "hold",
1524 "wait",
1525 "cut",
1526 "pause",
1527 "nope",
1528 "nah",
1529 "nevermind",
1530 "never",
1531 "bad",
1532 "actually"
1533 ]
1534 },
1535 "monitorPlan": {
1536 "listenEnabled": false,
1537 "listenAuthenticationEnabled": false,
1538 "controlEnabled": false,
1539 "controlAuthenticationEnabled": false,
1540 "monitorIds": [
1541 "123e4567-e89b-12d3-a456-426614174000"
1542 ]
1543 },
1544 "credentialIds": [
1545 "string"
1546 ],
1547 "server": {
1548 "timeoutSeconds": 20,
1549 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1550 "staticIpAddressesEnabled": false,
1551 "encryptedPaths": [
1552 "string"
1553 ],
1554 "url": "string",
1555 "headers": {},
1556 "backoffPlan": {
1557 "type": "fixed",
1558 "maxRetries": 0,
1559 "baseDelaySeconds": 1,
1560 "excludedStatusCodes": [
1561 400,
1562 401,
1563 403,
1564 404
1565 ]
1566 }
1567 },
1568 "keypadInputPlan": {
1569 "enabled": true,
1570 "timeoutSeconds": 1.1,
1571 "delimiters": "#"
1572 }
1573 }
1574 }
1575 ],
1576 "id": "string",
1577 "orgId": "string",
1578 "createdAt": "2024-01-15T09:30:00Z",
1579 "updatedAt": "2024-01-15T09:30:00Z",
1580 "name": "string",
1581 "membersOverrides": {
1582 "transcriber": {
1583 "provider": "assembly-ai",
1584 "language": "multi",
1585 "confidenceThreshold": 0.4,
1586 "formatTurns": true,
1587 "endOfTurnConfidenceThreshold": 0.7,
1588 "minEndOfTurnSilenceWhenConfident": 160,
1589 "wordFinalizationMaxWaitTime": 160,
1590 "maxTurnSilence": 400,
1591 "vadAssistedEndpointingEnabled": true,
1592 "speechModel": "universal-streaming-english",
1593 "realtimeUrl": "string",
1594 "wordBoost": [
1595 "string"
1596 ],
1597 "keytermsPrompt": [
1598 "string"
1599 ],
1600 "endUtteranceSilenceThreshold": 1.1,
1601 "disablePartialTranscripts": true,
1602 "fallbackPlan": {
1603 "transcribers": [
1604 {
1605 "provider": "assembly-ai",
1606 "language": "multi",
1607 "confidenceThreshold": 0.4,
1608 "formatTurns": true,
1609 "endOfTurnConfidenceThreshold": 0.7,
1610 "minEndOfTurnSilenceWhenConfident": 160,
1611 "wordFinalizationMaxWaitTime": 160,
1612 "maxTurnSilence": 400,
1613 "vadAssistedEndpointingEnabled": true,
1614 "speechModel": "universal-streaming-english",
1615 "realtimeUrl": "string",
1616 "wordBoost": [
1617 "string"
1618 ],
1619 "keytermsPrompt": [
1620 "string"
1621 ],
1622 "endUtteranceSilenceThreshold": 1.1,
1623 "disablePartialTranscripts": true
1624 }
1625 ]
1626 }
1627 },
1628 "model": {
1629 "messages": [
1630 {
1631 "content": "string",
1632 "role": "assistant"
1633 }
1634 ],
1635 "tools": [
1636 {
1637 "messages": [
1638 {
1639 "contents": [
1640 {
1641 "type": "text",
1642 "text": "string",
1643 "language": "aa"
1644 }
1645 ],
1646 "type": "request-start",
1647 "blocking": false,
1648 "content": "string",
1649 "conditions": [
1650 {
1651 "operator": "eq",
1652 "param": "string",
1653 "value": "string"
1654 }
1655 ]
1656 }
1657 ],
1658 "type": "apiRequest",
1659 "method": "POST",
1660 "timeoutSeconds": 20,
1661 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1662 "encryptedPaths": [
1663 "string"
1664 ],
1665 "parameters": [
1666 {
1667 "key": "string",
1668 "value": {}
1669 }
1670 ],
1671 "name": "string",
1672 "description": "string",
1673 "url": "string",
1674 "body": {
1675 "type": "string",
1676 "items": {},
1677 "properties": {},
1678 "description": "string",
1679 "pattern": "string",
1680 "format": "date-time",
1681 "required": [
1682 "string"
1683 ],
1684 "enum": [
1685 "string"
1686 ],
1687 "title": "string"
1688 },
1689 "headers": {
1690 "type": "string",
1691 "items": {},
1692 "properties": {},
1693 "description": "string",
1694 "pattern": "string",
1695 "format": "date-time",
1696 "required": [
1697 "string"
1698 ],
1699 "enum": [
1700 "string"
1701 ],
1702 "title": "string"
1703 },
1704 "backoffPlan": {
1705 "type": "fixed",
1706 "maxRetries": 0,
1707 "baseDelaySeconds": 1,
1708 "excludedStatusCodes": [
1709 400,
1710 401,
1711 403,
1712 404
1713 ]
1714 },
1715 "variableExtractionPlan": {
1716 "schema": {
1717 "type": "string",
1718 "items": {},
1719 "properties": {},
1720 "description": "string",
1721 "pattern": "string",
1722 "format": "date-time",
1723 "required": [
1724 "string"
1725 ],
1726 "enum": [
1727 "string"
1728 ],
1729 "title": "string"
1730 },
1731 "aliases": [
1732 {
1733 "key": "string",
1734 "value": "string"
1735 }
1736 ]
1737 },
1738 "rejectionPlan": {
1739 "conditions": [
1740 {
1741 "type": "regex",
1742 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
1743 }
1744 ]
1745 }
1746 }
1747 ],
1748 "toolIds": [
1749 "string"
1750 ],
1751 "knowledgeBase": {
1752 "provider": "custom-knowledge-base",
1753 "server": {
1754 "timeoutSeconds": 20,
1755 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1756 "staticIpAddressesEnabled": false,
1757 "encryptedPaths": [
1758 "string"
1759 ],
1760 "url": "string",
1761 "headers": {},
1762 "backoffPlan": {
1763 "type": "fixed",
1764 "maxRetries": 0,
1765 "baseDelaySeconds": 1,
1766 "excludedStatusCodes": [
1767 400,
1768 401,
1769 403,
1770 404
1771 ]
1772 }
1773 }
1774 },
1775 "model": "claude-3-opus-20240229",
1776 "provider": "anthropic",
1777 "thinking": {
1778 "type": "enabled",
1779 "budgetTokens": 50500
1780 },
1781 "temperature": 1.1,
1782 "maxTokens": 5030,
1783 "emotionRecognitionEnabled": true,
1784 "numFastTurns": 1.1
1785 },
1786 "voice": {
1787 "cachingEnabled": true,
1788 "provider": "azure",
1789 "voiceId": "andrew",
1790 "chunkPlan": {
1791 "enabled": true,
1792 "minCharacters": 30,
1793 "punctuationBoundaries": "。",
1794 "formatPlan": {
1795 "enabled": true,
1796 "numberToDigitsCutoff": 2025,
1797 "replacements": [
1798 {
1799 "type": "exact",
1800 "replaceAllEnabled": false,
1801 "key": "string",
1802 "value": "string"
1803 }
1804 ],
1805 "formattersEnabled": "markdown"
1806 }
1807 },
1808 "speed": 1.1,
1809 "fallbackPlan": {
1810 "voices": [
1811 {
1812 "cachingEnabled": true,
1813 "provider": "azure",
1814 "voiceId": "andrew",
1815 "speed": 1.1,
1816 "chunkPlan": {
1817 "enabled": true,
1818 "minCharacters": 30,
1819 "punctuationBoundaries": "。",
1820 "formatPlan": {
1821 "enabled": true,
1822 "numberToDigitsCutoff": 2025,
1823 "replacements": {},
1824 "formattersEnabled": {}
1825 }
1826 },
1827 "oneOf": null
1828 }
1829 ]
1830 }
1831 },
1832 "firstMessage": "Hello! How can I help you today?",
1833 "firstMessageInterruptionsEnabled": false,
1834 "firstMessageMode": "assistant-speaks-first",
1835 "voicemailDetection": "off",
1836 "clientMessages": "conversation-update",
1837 "serverMessages": "assistant.started",
1838 "maxDurationSeconds": 600,
1839 "backgroundSound": "off",
1840 "modelOutputInMessagesEnabled": false,
1841 "transportConfigurations": [
1842 {
1843 "provider": "twilio",
1844 "timeout": 60,
1845 "record": false,
1846 "recordingChannels": "mono"
1847 }
1848 ],
1849 "observabilityPlan": {
1850 "provider": "langfuse",
1851 "tags": [
1852 "string"
1853 ],
1854 "promptName": "string",
1855 "promptVersion": 1.1,
1856 "traceName": "string",
1857 "metadata": {}
1858 },
1859 "credentials": [
1860 {
1861 "provider": "anthropic",
1862 "apiKey": "string",
1863 "name": "string"
1864 }
1865 ],
1866 "hooks": [
1867 {
1868 "on": "call.ending",
1869 "do": [
1870 {
1871 "type": "tool",
1872 "tool": {
1873 "messages": [
1874 {
1875 "contents": [
1876 {
1877 "type": {},
1878 "text": {},
1879 "language": {}
1880 }
1881 ],
1882 "type": "request-start",
1883 "blocking": false,
1884 "content": "string",
1885 "conditions": [
1886 {
1887 "operator": "eq",
1888 "param": "string",
1889 "value": "string"
1890 }
1891 ]
1892 }
1893 ],
1894 "type": "apiRequest",
1895 "method": "POST",
1896 "timeoutSeconds": 20,
1897 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
1898 "encryptedPaths": [
1899 "string"
1900 ],
1901 "parameters": [
1902 {
1903 "key": "string",
1904 "value": {}
1905 }
1906 ],
1907 "name": "string",
1908 "description": "string",
1909 "url": "string",
1910 "body": {
1911 "type": "string",
1912 "items": {},
1913 "properties": {},
1914 "description": "string",
1915 "pattern": "string",
1916 "format": "date-time",
1917 "required": [
1918 "string"
1919 ],
1920 "enum": [
1921 "string"
1922 ],
1923 "title": "string"
1924 },
1925 "headers": {
1926 "type": "string",
1927 "items": {},
1928 "properties": {},
1929 "description": "string",
1930 "pattern": "string",
1931 "format": "date-time",
1932 "required": [
1933 "string"
1934 ],
1935 "enum": [
1936 "string"
1937 ],
1938 "title": "string"
1939 },
1940 "backoffPlan": {
1941 "type": "fixed",
1942 "maxRetries": 0,
1943 "baseDelaySeconds": 1,
1944 "excludedStatusCodes": [
1945 400,
1946 401,
1947 403,
1948 404
1949 ]
1950 },
1951 "variableExtractionPlan": {
1952 "schema": {
1953 "type": {},
1954 "items": {},
1955 "properties": {},
1956 "description": {},
1957 "pattern": {},
1958 "format": {},
1959 "required": {},
1960 "enum": {},
1961 "title": {}
1962 },
1963 "aliases": [
1964 {
1965 "key": "string",
1966 "value": "string"
1967 }
1968 ]
1969 },
1970 "rejectionPlan": {
1971 "conditions": [
1972 {
1973 "type": "regex",
1974 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
1975 }
1976 ]
1977 }
1978 },
1979 "toolId": "string"
1980 }
1981 ],
1982 "filters": [
1983 {
1984 "type": "oneOf",
1985 "key": "string",
1986 "oneOf": [
1987 "string"
1988 ]
1989 }
1990 ]
1991 }
1992 ],
1993 "tools:append": [
1994 {
1995 "messages": [
1996 {
1997 "contents": [
1998 {
1999 "type": "text",
2000 "text": "string",
2001 "language": "aa"
2002 }
2003 ],
2004 "type": "request-start",
2005 "blocking": false,
2006 "content": "string",
2007 "conditions": [
2008 {
2009 "operator": "eq",
2010 "param": "string",
2011 "value": "string"
2012 }
2013 ]
2014 }
2015 ],
2016 "type": "apiRequest",
2017 "method": "POST",
2018 "timeoutSeconds": 20,
2019 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2020 "encryptedPaths": [
2021 "string"
2022 ],
2023 "parameters": [
2024 {
2025 "key": "string",
2026 "value": {}
2027 }
2028 ],
2029 "name": "string",
2030 "description": "string",
2031 "url": "string",
2032 "body": {
2033 "type": "string",
2034 "items": {},
2035 "properties": {},
2036 "description": "string",
2037 "pattern": "string",
2038 "format": "date-time",
2039 "required": [
2040 "string"
2041 ],
2042 "enum": [
2043 "string"
2044 ],
2045 "title": "string"
2046 },
2047 "headers": {
2048 "type": "string",
2049 "items": {},
2050 "properties": {},
2051 "description": "string",
2052 "pattern": "string",
2053 "format": "date-time",
2054 "required": [
2055 "string"
2056 ],
2057 "enum": [
2058 "string"
2059 ],
2060 "title": "string"
2061 },
2062 "backoffPlan": {
2063 "type": "fixed",
2064 "maxRetries": 0,
2065 "baseDelaySeconds": 1,
2066 "excludedStatusCodes": [
2067 400,
2068 401,
2069 403,
2070 404
2071 ]
2072 },
2073 "variableExtractionPlan": {
2074 "schema": {
2075 "type": "string",
2076 "items": {},
2077 "properties": {},
2078 "description": "string",
2079 "pattern": "string",
2080 "format": "date-time",
2081 "required": [
2082 "string"
2083 ],
2084 "enum": [
2085 "string"
2086 ],
2087 "title": "string"
2088 },
2089 "aliases": [
2090 {
2091 "key": "string",
2092 "value": "string"
2093 }
2094 ]
2095 },
2096 "rejectionPlan": {
2097 "conditions": [
2098 {
2099 "type": "regex",
2100 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
2101 }
2102 ]
2103 }
2104 }
2105 ],
2106 "variableValues": {},
2107 "name": "string",
2108 "voicemailMessage": "string",
2109 "endCallMessage": "string",
2110 "endCallPhrases": [
2111 "string"
2112 ],
2113 "compliancePlan": {
2114 "hipaaEnabled": true,
2115 "pciEnabled": {
2116 "pciEnabled": false
2117 },
2118 "securityFilterPlan": {
2119 "enabled": false,
2120 "filters": [
2121 {}
2122 ],
2123 "mode": "sanitize",
2124 "replacementText": "[FILTERED]"
2125 },
2126 "recordingConsentPlan": {
2127 "type": "stay-on-line",
2128 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
2129 "voice": {
2130 "cachingEnabled": true,
2131 "provider": "azure",
2132 "voiceId": "andrew",
2133 "chunkPlan": {
2134 "enabled": true,
2135 "minCharacters": 30,
2136 "punctuationBoundaries": "。",
2137 "formatPlan": {
2138 "enabled": true,
2139 "numberToDigitsCutoff": 2025,
2140 "replacements": [
2141 {}
2142 ],
2143 "formattersEnabled": "markdown"
2144 }
2145 },
2146 "speed": 1.1,
2147 "fallbackPlan": {
2148 "voices": [
2149 {
2150 "cachingEnabled": true,
2151 "provider": "azure",
2152 "voiceId": "andrew",
2153 "speed": 1.1,
2154 "chunkPlan": {},
2155 "oneOf": null
2156 }
2157 ]
2158 }
2159 },
2160 "waitSeconds": 3
2161 }
2162 },
2163 "metadata": {},
2164 "backgroundSpeechDenoisingPlan": {
2165 "smartDenoisingPlan": {
2166 "enabled": true
2167 },
2168 "fourierDenoisingPlan": {
2169 "enabled": false,
2170 "mediaDetectionEnabled": true,
2171 "staticThreshold": -35,
2172 "baselineOffsetDb": -15,
2173 "windowSizeMs": 3000,
2174 "baselinePercentile": 85
2175 }
2176 },
2177 "analysisPlan": {
2178 "summaryPlan": {
2179 "messages": [
2180 {}
2181 ],
2182 "enabled": true,
2183 "timeoutSeconds": 1.1
2184 },
2185 "structuredDataPlan": {
2186 "messages": [
2187 {}
2188 ],
2189 "enabled": true,
2190 "schema": {
2191 "type": "string",
2192 "items": {},
2193 "properties": {},
2194 "description": "string",
2195 "pattern": "string",
2196 "format": "date-time",
2197 "required": [
2198 "string"
2199 ],
2200 "enum": [
2201 "string"
2202 ],
2203 "title": "string"
2204 },
2205 "timeoutSeconds": 1.1
2206 },
2207 "successEvaluationPlan": {
2208 "rubric": "NumericScale",
2209 "messages": [
2210 {}
2211 ],
2212 "enabled": true,
2213 "timeoutSeconds": 1.1
2214 },
2215 "minMessagesThreshold": 1.1,
2216 "structuredDataMultiPlan": [
2217 {
2218 "key": "string",
2219 "plan": {
2220 "messages": [
2221 {}
2222 ],
2223 "enabled": true,
2224 "schema": {
2225 "type": "string",
2226 "items": {},
2227 "properties": {},
2228 "description": "string",
2229 "pattern": "string",
2230 "format": "date-time",
2231 "required": [
2232 "string"
2233 ],
2234 "enum": [
2235 "string"
2236 ],
2237 "title": "string"
2238 },
2239 "timeoutSeconds": 1.1
2240 }
2241 }
2242 ],
2243 "outcomeIds": [
2244 "string"
2245 ]
2246 },
2247 "artifactPlan": {
2248 "recordingEnabled": true,
2249 "recordingFormat": "wav;l16",
2250 "recordingUseCustomStorageEnabled": true,
2251 "videoRecordingEnabled": false,
2252 "fullMessageHistoryEnabled": false,
2253 "pcapEnabled": true,
2254 "pcapS3PathPrefix": "/pcaps",
2255 "pcapUseCustomStorageEnabled": true,
2256 "loggingEnabled": true,
2257 "loggingUseCustomStorageEnabled": true,
2258 "transcriptPlan": {
2259 "enabled": true,
2260 "assistantName": "string",
2261 "userName": "string"
2262 },
2263 "recordingPath": "string",
2264 "structuredOutputIds": [
2265 "string"
2266 ],
2267 "structuredOutputs": [
2268 {
2269 "name": "string",
2270 "schema": {
2271 "type": "string",
2272 "items": {},
2273 "properties": {},
2274 "description": "string",
2275 "pattern": "string",
2276 "format": "date-time",
2277 "required": [
2278 "string"
2279 ],
2280 "enum": [
2281 "string"
2282 ],
2283 "title": "string"
2284 },
2285 "type": "ai",
2286 "regex": "string",
2287 "model": {
2288 "provider": "openai",
2289 "model": "gpt-5.4",
2290 "temperature": 1.1,
2291 "maxTokens": 5030
2292 },
2293 "compliancePlan": {
2294 "forceStoreOnHipaaEnabled": false
2295 },
2296 "description": "string",
2297 "assistantIds": [
2298 "string"
2299 ],
2300 "workflowIds": [
2301 "string"
2302 ]
2303 }
2304 ],
2305 "scorecardIds": [
2306 "string"
2307 ],
2308 "scorecards": [
2309 {
2310 "metrics": [
2311 {
2312 "structuredOutputId": "string",
2313 "conditions": [
2314 {}
2315 ]
2316 }
2317 ],
2318 "name": "string",
2319 "description": "string",
2320 "assistantIds": [
2321 "string"
2322 ]
2323 }
2324 ],
2325 "loggingPath": "string"
2326 },
2327 "startSpeakingPlan": {
2328 "waitSeconds": 0.4,
2329 "smartEndpointingPlan": {
2330 "provider": "vapi"
2331 },
2332 "customEndpointingRules": [
2333 {
2334 "type": "assistant",
2335 "regex": "string",
2336 "regexOptions": [
2337 {
2338 "type": "ignore-case",
2339 "enabled": true
2340 }
2341 ],
2342 "timeoutSeconds": 1.1
2343 }
2344 ],
2345 "transcriptionEndpointingPlan": {
2346 "onPunctuationSeconds": 0.1,
2347 "onNoPunctuationSeconds": 1.5,
2348 "onNumberSeconds": 0.5
2349 },
2350 "smartEndpointingEnabled": false
2351 },
2352 "stopSpeakingPlan": {
2353 "numWords": 0,
2354 "voiceSeconds": 0.2,
2355 "backoffSeconds": 1,
2356 "acknowledgementPhrases": [
2357 "i understand",
2358 "i see",
2359 "i got it",
2360 "i hear you",
2361 "im listening",
2362 "im with you",
2363 "right",
2364 "okay",
2365 "ok",
2366 "sure",
2367 "alright",
2368 "got it",
2369 "understood",
2370 "yeah",
2371 "yes",
2372 "uh-huh",
2373 "mm-hmm",
2374 "gotcha",
2375 "mhmm",
2376 "ah",
2377 "yeah okay",
2378 "yeah sure"
2379 ],
2380 "interruptionPhrases": [
2381 "stop",
2382 "shut",
2383 "up",
2384 "enough",
2385 "quiet",
2386 "silence",
2387 "but",
2388 "dont",
2389 "not",
2390 "no",
2391 "hold",
2392 "wait",
2393 "cut",
2394 "pause",
2395 "nope",
2396 "nah",
2397 "nevermind",
2398 "never",
2399 "bad",
2400 "actually"
2401 ]
2402 },
2403 "monitorPlan": {
2404 "listenEnabled": false,
2405 "listenAuthenticationEnabled": false,
2406 "controlEnabled": false,
2407 "controlAuthenticationEnabled": false,
2408 "monitorIds": [
2409 "123e4567-e89b-12d3-a456-426614174000"
2410 ]
2411 },
2412 "credentialIds": [
2413 "string"
2414 ],
2415 "server": {
2416 "timeoutSeconds": 20,
2417 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
2418 "staticIpAddressesEnabled": false,
2419 "encryptedPaths": [
2420 "string"
2421 ],
2422 "url": "string",
2423 "headers": {},
2424 "backoffPlan": {
2425 "type": "fixed",
2426 "maxRetries": 0,
2427 "baseDelaySeconds": 1,
2428 "excludedStatusCodes": [
2429 400,
2430 401,
2431 403,
2432 404
2433 ]
2434 }
2435 },
2436 "keypadInputPlan": {
2437 "enabled": true,
2438 "timeoutSeconds": 1.1,
2439 "delimiters": "#"
2440 }
2441 }
2442}
Was this page helpful?
Previous

Get Squad

Next
Built with

Authentication

AuthorizationBearer

Retrieve your API Key from Dashboard.

Request

This endpoint expects an object.
memberslist of objectsRequired
This is the list of assistants that make up the squad. The call will start with the first assistant in the list.
namestringOptional
This is the name of the squad.
membersOverridesobjectOptional

This can be used to override all the assistants’ settings and provide values for their template variables.

Both membersOverrides and members[n].assistantOverrides can be used together. First, members[n].assistantOverrides is applied. Then, membersOverrides is applied as a global override.

Response

memberslist of objects
This is the list of assistants that make up the squad. The call will start with the first assistant in the list.
idstring
This is the unique identifier for the squad.
orgIdstring
This is the unique identifier for the org that this squad belongs to.
createdAtdatetime

This is the ISO 8601 date-time string of when the squad was created.

updatedAtdatetime

This is the ISO 8601 date-time string of when the squad was last updated.

namestring
This is the name of the squad.
membersOverridesobject

This can be used to override all the assistants’ settings and provide values for their template variables.

Both membersOverrides and members[n].assistantOverrides can be used together. First, members[n].assistantOverrides is applied. Then, membersOverrides is applied as a global override.